Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PageNumberRange Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PageNumberRange (start_number, end_number, filter)
| Constructor, with parameters. More...
def | PageNumberRange ()
| Constructor.
def | PageNumberRange (page_range)
| Constructor, with another page number range object. More...
def | Set (start_number, end_number, filter)
| Set value. More...

## Static Public Attributes
| end_number = _fsdk.PageNumberRange_end_number
| Page number of the end page in current range, starting from 1.
| filter = _fsdk.PageNumberRange_filter
| Filter type to decide which page numbers of this range would be used. Please refer to values starting from FoxitPDFSDKPython3.Range.e_All and this should be one of these values.
| start_number = _fsdk.PageNumberRange_start_number
| Page number of the start page in current range, starting from 1.

## Detailed Description

This class represents the page number range (not index range) which is used for class HeaderFooter .

See also
  HeaderFooter

## Constructor & Destructor Documentation

## ◆ PageNumberRange() [1/2]

def FoxitPDFSDKPython3.PageNumberRange.PageNumberRange | ( |  | start_number,
|  |  | end_number,
|  |  | filter
| ) |  |

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from FoxitPDFSDKPython3.Range.e_All and this should be one of these values.

## ◆ PageNumberRange() [2/2]

def FoxitPDFSDKPython3.PageNumberRange.PageNumberRange | ( |  | page_range | ) |

Constructor, with another page number range object.

Parameters

  [in] | page_range | Another page number range object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PageNumberRange.Set | ( |  | start_number,
|  |  | end_number,
|  |  | filter
| ) |  |

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from FoxitPDFSDKPython3.Range.e_All and this should be one of these values.

Returns
  None.